> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chat-dash.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Assign Agents to Client

> Assign existing agents to a specific client



## OpenAPI

````yaml put /agents/assign
openapi: 3.0.1
info:
  title: ChatDash API Documentation
  description: API Documentation for the ChatDash Server
  version: 2.0.0
servers:
  - url: https://api.chat-dash.com/v1/public
security: []
paths:
  /agents/assign:
    put:
      tags:
        - Agent
      summary: Assign Agents to Client
      description: Assign existing agents to a specific client
      parameters:
        - name: Authorization
          in: header
          required: true
          description: >-
            All requests to the ChatDash API must be validated with the agency
            API Key found on your agency profile
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                agentIds:
                  type: array
                  items:
                    type: string
                  description: The IDs of the agents to assign
                clientId:
                  type: string
                  description: The ID of the client to assign the agent to
              required:
                - agentIds
                - clientId
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Agent assigned to client successfully
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: An unexpected error occurred

````